# encoding: utf-8

#--
# Copyright DataStax, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#++

module Cassandra
  module Statements
    # This statement is passed to {Cassandra::LoadBalancing::Policy#plan} when
    # establishing connections and preparing statements
    class Void
      include Statement

      # @private
      def accept(client, options)
        nil
      end

      # Returns nothing
      # @return [nil] there is no cql for the void statement
      def cql
        nil
      end
    end
  end
end
